Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3697 - dhcpcd is flawed under 6.0
Summary: dhcpcd is flawed under 6.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-24 05:03 UTC by kjames11
Modified: 2015-09-11 14:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 21:39:48 UTC


Attachments (Terms of Use)

Description kjames11 1999-06-24 05:03:10 UTC
For us @HOme users who have to send a hostname to the DHCP
server to get an IP, Redhat 6 can be a pain in the rear
with dhcpcd, the simple fix would be to allow for a custom
setup that on boot sends the DHCP request like this "dhcpcd
-h CS123456-A" w/o quotes, the @Home DHCP server is
finicky, especially when you have two or more computers
networked to a single cable modem, a simple util to set
this would be nice :)

Comment 1 Jay Turner 1999-06-28 14:29:59 UTC
I have forwarded this request to the developer in charge of this
package.  A simple workaround would be to hack
/etc/sysconfig/network-scripts/ifup so that the call to pump would
include the hostname request as you described.

Comment 2 Erik Troan 2000-02-15 21:39:59 UTC
In piglet, the hostname in /etc/sysconfig/network will be used for pump
dhcp requests.

Comment 3 openshift-github-bot 2015-09-11 14:59:51 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/9ab8cb9b10fd45aa4f84158131da22ca5d073c5d
Merge pull request #4568 from romanbartl/issue3697

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.